%define name	XFree86-server-isolatedevice
%define version	4.3
%define release	30.1mdk

%define x11prefix /usr/X11R6
%define x11bindir %{x11prefix}/bin
%define x11libdir %{x11prefix}/lib
%define x11moddir %{x11libdir}/modules

Summary:	Concurrent X server
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/XFree86
URL:		http://startx.time.lv
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	XFree86-devel >= 4.3
Obsoletes:	XFree86-concurrent-server, XFree86-server-concurrent
Provides:	XFree86-concurrent-server, XFree86-server-concurrent

Patch001: 	XFree86-4.3-isolate_device.patch.bz2
%description
This is a modified X server which allows you to run
servers at the same time in order to have multiple
local XFree users. To actually use it as such you 
have to start it with argument -isolateDevice x:xx:xx,
where x:xx:xx specifies the BusID of the graphic card 
which the X server will use. You can also specify the 
prefered bus id in the XFree configuration file.


%prep
#%setup -n %{name}
rm -Rf %{_topdir}/BUILD/%{name}
mkdir -p %{name}/xc
cd %{name}/xc
lndir -silent -ignorelinks %{_topdir}/BUILD/XFree86-4.3/xc
%patch001 -p1 -b .isolatedev

%build
cd %{_topdir}/BUILD/%{name}/xc/programs/Xserver
make
#%make
mv XFree86 XFree86-isolatedev 
%install
rm -rf $RPM_BUILD_ROOT

#%makeinstall_std
mkdir -p $RPM_BUILD_ROOT/%{x11bindir}/
cd %{_topdir}/BUILD/%{name}/xc/programs/Xserver
install -c -m 0744 XFree86-isolatedev $RPM_BUILD_ROOT/%{x11bindir}/
ln -s XFree86-isolatedev $RPM_BUILD_ROOT/%{x11bindir}/X0
ln -s XFree86-isolatedev $RPM_BUILD_ROOT/%{x11bindir}/X1
ln -s XFree86-isolatedev $RPM_BUILD_ROOT/%{x11bindir}/X2
ln -s XFree86-isolatedev $RPM_BUILD_ROOT/%{x11bindir}/X3

%clean
rm -rf %RPM_BUILD_ROOT


%files

%defattr(-,root,root)
%{x11bindir}/XFree86-isolatedev
%{x11bindir}/X0
%{x11bindir}/X1
%{x11bindir}/X2
%{x11bindir}/X3


%changelog
* Wed May 19 2004 Svetoslav Slavtchev <svetljo@gmx.de> 4.3-30mdk
- rebuild with XFree86-4.3-30mdk.src.rpm

* Mon Oct 13 2003 Svetoslav Slavtchev <galia@st-peter.stw.uni-erlangen.de> 4.3-24.1mdk
- rebuild with XFree86-4.3-24mdk.src.rpm
* Mon Sep 1 2003 Svetoslav Slavtchev <galia@st-peter.stw.uni-erlangen.de> 4.3-23.1mdk
- initial rebuild for Mandrake 9.2

